<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class GroupInviteMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $groupJid = null;
    


    protected $inviteCode = null;
    


    protected $inviteExpiration = null;
    


    protected $groupName = null;
    


    protected $jpegThumbnail = null;
    


    protected $caption = null;
    


    protected $contextInfo = null;
    


    protected $groupType = null;

    















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getGroupJid()
    {
        return isset($this->groupJid) ? $this->groupJid : '';
    }

    public function hasGroupJid()
    {
        return isset($this->groupJid);
    }

    public function clearGroupJid()
    {
        unset($this->groupJid);
    }

    




    public function setGroupJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->groupJid = $var;

        return $this;
    }

    



    public function getInviteCode()
    {
        return isset($this->inviteCode) ? $this->inviteCode : '';
    }

    public function hasInviteCode()
    {
        return isset($this->inviteCode);
    }

    public function clearInviteCode()
    {
        unset($this->inviteCode);
    }

    




    public function setInviteCode($var)
    {
        GPBUtil::checkString($var, True);
        $this->inviteCode = $var;

        return $this;
    }

    



    public function getInviteExpiration()
    {
        return isset($this->inviteExpiration) ? $this->inviteExpiration : 0;
    }

    public function hasInviteExpiration()
    {
        return isset($this->inviteExpiration);
    }

    public function clearInviteExpiration()
    {
        unset($this->inviteExpiration);
    }

    




    public function setInviteExpiration($var)
    {
        GPBUtil::checkInt64($var);
        $this->inviteExpiration = $var;

        return $this;
    }

    



    public function getGroupName()
    {
        return isset($this->groupName) ? $this->groupName : '';
    }

    public function hasGroupName()
    {
        return isset($this->groupName);
    }

    public function clearGroupName()
    {
        unset($this->groupName);
    }

    




    public function setGroupName($var)
    {
        GPBUtil::checkString($var, True);
        $this->groupName = $var;

        return $this;
    }

    



    public function getJpegThumbnail()
    {
        return isset($this->jpegThumbnail) ? $this->jpegThumbnail : '';
    }

    public function hasJpegThumbnail()
    {
        return isset($this->jpegThumbnail);
    }

    public function clearJpegThumbnail()
    {
        unset($this->jpegThumbnail);
    }

    




    public function setJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->jpegThumbnail = $var;

        return $this;
    }

    



    public function getCaption()
    {
        return isset($this->caption) ? $this->caption : '';
    }

    public function hasCaption()
    {
        return isset($this->caption);
    }

    public function clearCaption()
    {
        unset($this->caption);
    }

    




    public function setCaption($var)
    {
        GPBUtil::checkString($var, True);
        $this->caption = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getGroupType()
    {
        return isset($this->groupType) ? $this->groupType : 0;
    }

    public function hasGroupType()
    {
        return isset($this->groupType);
    }

    public function clearGroupType()
    {
        unset($this->groupType);
    }

    




    public function setGroupType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\GroupInviteMessage\GroupType::class);
        $this->groupType = $var;

        return $this;
    }

}

